Page MenuHomePhabricator

Port mediawiki.util to requires module
Closed, ResolvedPublic

Description

To encourage adoption and raise awareness and make ResourceLoader module dependencies clearer to newbies to MediaWiki code we should port mediawiki.util to a module using require and modules.export as soon as possible.

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 14 2016, 5:32 PM

Change 260883 had a related patch set uploaded (by Jdlrobson):
mediawiki.util: Port to requires module

https://gerrit.wikimedia.org/r/260883

Ping @Krinkle I had a comment on the patchset.

Change 260883 merged by jenkins-bot:
[mediawiki/core@master] mediawiki.util: Add module export to support require()

https://gerrit.wikimedia.org/r/260883

Krinkle closed this task as Resolved.Mar 31 2017, 8:15 PM
Krinkle assigned this task to Jdlrobson.
Krinkle triaged this task as Low priority.
Krinkle removed a project: Patch-For-Review.